javax.transaction

## Enum Transactional.TxType

- java.lang.Object
- - java.lang.Enum<Transactional.TxType>
  - - javax.transaction.Transactional.TxType

- All Implemented Interfaces:
    Serializable, Comparable<Transactional.TxType>
  Enclosing class:
    Transactional

      public static enum Transactional.TxType
      extends Enum<Transactional.TxType>

  The TxType element of the annotation indicates whether a bean method is to be executed within a transaction context where the values provide the following corresponding behavior.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MANDATORY` If called outside a transaction context, a TransactionalException with a nested TransactionRequiredException must be thrown.
    `NEVER` If called outside a transaction context, managed bean method execution must then continue outside a transaction context.
    `NOT_SUPPORTED` If called outside a transaction context, managed bean method execution must then continue outside a transaction context.
    `REQUIRED` If called outside a transaction context, the interceptor must begin a new JTA transaction, the managed bean method execution must then continue inside this transaction context, and the transaction must be completed by the interceptor.
    `REQUIRES_NEW` If called outside a transaction context, the interceptor must begin a new JTA transaction, the managed bean method execution must then continue inside this transaction context, and the transaction must be completed by the interceptor.
    `SUPPORTS` If called outside a transaction context, managed bean method execution must then continue outside a transaction context.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Transactional.TxType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Transactional.TxType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQUIRED

          public static final Transactional.TxType REQUIRED

      If called outside a transaction context, the interceptor must begin a new JTA transaction, the managed bean method execution must then continue inside this transaction context, and the transaction must be completed by the interceptor.

      If called inside a transaction context, the managed bean method execution must then continue inside this transaction context.

    - #### REQUIRES_NEW

          public static final Transactional.TxType REQUIRES_NEW

      If called outside a transaction context, the interceptor must begin a new JTA transaction, the managed bean method execution must then continue inside this transaction context, and the transaction must be completed by the interceptor.

      If called inside a transaction context, the current transaction context must be suspended, a new JTA transaction will begin, the managed bean method execution must then continue inside this transaction context, the transaction must be completed, and the previously suspended transaction must be resumed.

    - #### MANDATORY

          public static final Transactional.TxType MANDATORY

      If called outside a transaction context, a TransactionalException with a nested TransactionRequiredException must be thrown.

      If called inside a transaction context, managed bean method execution will then continue under that context.

    - #### SUPPORTS

          public static final Transactional.TxType SUPPORTS

      If called outside a transaction context, managed bean method execution must then continue outside a transaction context.

      If called inside a transaction context, the managed bean method execution must then continue inside this transaction context.

    - #### NOT_SUPPORTED

          public static final Transactional.TxType NOT_SUPPORTED

      If called outside a transaction context, managed bean method execution must then continue outside a transaction context.

      If called inside a transaction context, the current transaction context must be suspended, the managed bean method execution must then continue outside a transaction context, and the previously suspended transaction must be resumed by the interceptor that suspended it after the method execution has completed.

    - #### NEVER

          public static final Transactional.TxType NEVER

      If called outside a transaction context, managed bean method execution must then continue outside a transaction context.

      If called inside a transaction context, a TransactionalException with a nested InvalidTransactionException must be thrown.

  - ### Method Detail

    - #### values

          public static Transactional.TxType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Transactional.TxType c : Transactional.TxType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Transactional.TxType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.